# The watch activity

Control images with variables. 

# micro:bit watch

![](/static/mb/lessons/the-watch-0.png)

In this project, you will build your own wearable micro:bit watch from an old pair of jeans and T-shirt. Project duration: 15 minutes.

![](/static/mb/lessons/the-watch-1.png)

## Materials

* micro:bit, battery holder and 2 AAA batteries
* Old T-shirt
* Old Jeans
* Velcro with sticky back – 5cm x 5cm
* Double-sided tape – 22cm x 5cm. You can find carpet tape in your local hardware shop
* Ruler and pen
* Scissors

![](/static/mb/lessons/the-watch-2.png)

## Steps

### Step 1

![](/static/mb/lessons/the-watch-3.png)

Using the ruler and pen, mark a rectangle of more or less 26cm x 5cm on the T-shirt. Don’t worry if you don’t get it quite right, we’ll tidy things up later on.

### Step 2

![](/static/mb/lessons/the-watch-4.png)

Cut the rectangle using the scissors. Don’t worry about the quality of the cut, we’ll trim it later on.

### Step 3

![](/static/mb/lessons/the-watch-5.png)

Cut a piece of cloth from the pair of jeans. Cut straight by the seam.

![](/static/mb/lessons/the-watch-6.png)

### Step 4

![](/static/mb/lessons/the-watch-7.png)

Using the ruler and pen, mark a rectangle of 22cm x 5cm (adults should use 24cm x 5cm) on the jeans cloth.

### Step 5

![](/static/mb/lessons/the-watch-8.png)

Stretch the cloth using your hands and apply the double-side tape on the rectangle marked on the jeans. You might need the help of a friend to achieve this step. Don’t worry if the tape is larger than the rectangle, we will trim it later. Make sure to apply pressure to the tape to secure it firmly.

### Step 6

![](/static/mb/lessons/the-watch-9.png)

Using the scissors, cut the rectangle of jeans.

### Step 7

![](/static/mb/lessons/the-watch-10.png)

Peal the tape protective layer from the rectangle.

### Step 8

![](/static/mb/lessons/the-watch-11.png)

Place the micro:bit pins on the tape at more or less **7** cm from the left border. Then lower the micro:bit on the tape and press **gently**.

### Step 9

![](/static/mb/lessons/the-watch-12.png)

Connect the battery holder and place it on the right of the micro:bit. Tuck the cables away on the tape to protect them.

### Step 10

![](/static/mb/lessons/the-watch-13.png)

Stick the T-shirt rectangle from the top of the micro:bit, over the battery cables.

### Step 11

![](/static/mb/lessons/the-watch-14.png)

Use your fingers to push the T-shirt cloth under the micro:bit to give access to the micro-USB plug.

### Step 12

![](/static/mb/lessons/the-watch-15.png)

Place the T-shirt over the battery holder and stick it up to the end.

### Step 13

![](/static/mb/lessons/the-watch-16.png)

Turn over the watch and cut the extra T-shirt material.

### Step 14

![](/static/mb/lessons/the-watch-17.png)

Stick the T-shirt cloth on the other side of the watch. Lift the micro:bit pins to slide the cloth under and leave them free from the tape.

### Step 15

![](/static/mb/lessons/the-watch-18.png)

Turn over the watch and cut left over T-shirt cloth.

### Step 16

![](/static/mb/lessons/the-watch-19.png)

Cut a 5cm x 5cm square of Velcro **loops**.

### Step 17

![](/static/mb/lessons/the-watch-20.png)

Cut a 5cm x 5cm square of Velcro **hooks**.

### Step 18

![](/static/mb/lessons/the-watch-21.png)

Stick the Velcro hooks on the right side of the battery holder on the T-shirt cloth.

### Step 19

![](/static/mb/lessons/the-watch-22.png)

Stick the Velcro loops on the other end on the jeans fabric.

### Step 20

Trim any leftover fabric, threads or tape.

### Step 21

![](/static/mb/lessons/the-watch-23.png)

Your watch is ready!

### Step 22

Connect your micro:bit to your computer using your USB cable and upload the [rock paper scissors](/microbit/rrwupw) script on it. Shake your watch to play against... the micro:bit!

### Acknowledgements

Artistic design by Melinda Hoeneisen.

