# Image

An image for the micro:bit screen. #docs #image #screen #LED

### @parent blocks/language

An *Image* is a matrix of pixels to show on the [LED screen](/microbit/device/screen)

### Block Editor: Show LEDs

To display an image using the [Block Editor](/microbit/blocks/editor):

* click `Basic` , `Show LEDs`, and tap on the LEDs`
* when you're done, return to your code

![](/static/mb/show-leds-1.png)

You should see code similar to this:

### Creating an image

To create an image that you can later modify, see the [create image](/microbit/reference/images/create-image) function.

### Block editor: create and show images

To create images using the [Block editor](/microbit/blocks/editor):

1. Click the **Images** category on the left.

2. Drag and drop the **show image** block into your code.

3. Drag and drop the **create image** or **create big image** block onto the **show image** block so that they connect.

4. Make an image on the **create image** block by clicking on the squares.

You should see code similar to this:

![](/static/mb/blocks/image-0.png)

### Image functions

* [create image](/microbit/reference/images/create-image): create an image from a series of on/off LED states
* [clear](/microbit/reference/basic/clear-screen): turn off all the pixels in an image
* [pixel](/microbit/reference/images/pixel): get the state of a pixel in an image
* [show-leds](/microbit/reference/basic/show-leds): show a single-frame image on the LED screen
* [show image](/microbit/reference/images/show-image): show an image on the screen
* [scroll image](/microbit/reference/images/scroll-image): scroll an image on the screen

### Lessons

* [smiley](/microbit/lessons/smiley)

### See also

[Show LEDs](/microbit/reference/basic/show-leds), [create image](/microbit/reference/images/create-image), [show image](/microbit/reference/images/show-image), [LED screen](/microbit/device/screen)

