# Assignment Operator

Set the value for local and global variables #docs #assignment #language #var #data

### @parent js/operators
 

Set or change the value of a variable

### Block Editor

![](/static/mb/antenna-0.png)

### Touch Develop

Use the assignment operator (:=) to set or change the value of a [local variable](/microbit/reference/variables/var) or a [global variable](/microbit/js/data).

### Declare a variable

Declare a new *local* variable using the [var](/microbit/reference/variables/var) statement and the assignment operator (`:=`). Like this:

```blocks
let num1 = 7
let name = "Joe"
```

The variable's name is on the left of the assignment operator (`:=`) and the variable's value is on the right:

*variable name* `:=` *value*

See [global variable](/microbit/js/data) for info on declaring a global variable.

### Change a variable

After a global or local variable is defined, use the assignment operator (`:=`) to change the variable's value.

```
g = 42
num1 = 42
```

### Notes

* Don't confuse the assignment operator `:=` with the equality operator `=`, which is used to compare values.
* You can use the assignment operator  `:=` with variables of each of the supported [types](/microbit/js/types).

### Lessons

[counter](/microbit/lessons/counter), [rotation animation](/microbit/lessons/rotation-animation), [digital pet](/microbit/lessons/digital-pet), [offset image](/microbit/lessons/offset-image)

### See also

[local variables](/microbit/reference/variables/var), [global variables](/microbit/js/data), [types](/microbit/js/types)

