# TouchDevelop Lessons

Overview of TouchDevelop lessons for the micro:bit. #docs #contents

### @section full

### ~column 

### LED screen

* [plot guided](/microbit/hcwxud) `guided tutorial ` `video available`
* [plots an LED](/microbit/njuzbvocit) [guided tutorial]
* [blink symbols](/microbit/rfchtfjmag) `docs`
* [clear screen](/microbit/jwqywu)
* [point](/microbit/reference/led/point)
* [set brightness](/microbit/tfrmcgdtxk)

## micro:bit

## functions

### Basic

* [show number](/microbit/doxhko)
* [show string](/microbit/hgsfxg)
* [forever - show image](/microbit/bniyze) `guided tutorial`
* [forever - show animation - two frames 1a](/microbit/rwsjmubtaa)
* [forever - show animation - two frames 1c](/microbit/fomtaxxdkk)
* [forever - show animation - two frames 1 d](/microbit/huguhgjmmn)
* [forever - show animation - multliple frames](/microbit/tweyhx)

## Language {#pconst}

### Variables

* [global variables ](/microbit/nkecii) `guided tutorial`
* [local variable - create image, show image](/microbit/dcvnwv)
* data types: [number](/microbit/reference/types/number), [boolean](/microbit/reference/types/boolean), [string](/microbit/reference/types/string), [image](/microbit/reference/image/image)

### Statements and control structures

* [if](/microbit/reference/logic/if)
* [for](/microbit/reference/loops/for)
* [for loop nested - plot](/microbit/vpvhdnaqfm) **script**
* [while](/microbit/js/while)
* [while - show string, show number, show animation](/microbit/bidtzqdips) `docs`
* [while - create image ](/microbit/bnqbom)
* [return](/microbit/js/return)
* [break](/microbit/js/break)
* [function](/microbit/js/function)
* [assignment operation](/microbit/reference/variables/assign) `:=`

### Maths

* arithmetic operators (`+`, `-`, `*`, `/`, mod)  on [numbers](/microbit/reference/types/number)
* comparison operators (such as `>`, `=`) on [numbers](/microbit/reference/types/number)
* the [math](/microbit/js/math) library
* the [bits](/microbit/js/bits) library

### Logical

* boolean operators (`not`, `or`, `and`) on [booleans](/microbit/reference/types/boolean)

### Strings

* concat operator combines [strings](/microbit/reference/types/string)

### ~

### ~column 

### Input

* [button is pressed](/microbit/reference/input/button-is-pressed)
* [on button pressed](/microbit/reference/input/on-button-pressed)
* [acceleration](/microbit/reference/input/acceleration)
* [compass heading](/microbit/reference/input/compass-heading)
* [calibrate](/microbit/functions/calibrate)
* [running time](/microbit/reference/input/running-time)
* [on shake](/microbit/reference/input/on-gesture)
* [on screen up](/microbit/functions/on-screen-up)
* [on screen down](/microbit/functions/on-screen-down)
* [on logo up](/microbit/functions/on-logo-up)
* [on logo down](/microbit/functions/on-logo-down)

### ~

### ~column 

### Authoring & Other Bits

* [TouchDevelop editor](/microbit/js/editor)
* [markdown](/microbit/js/markdown)
* [creating interactive tutorials](/microbit/js/creatinginteractivetutorials)
* [run scripts in a web browser](/microbit/js/simulator)
* [run scripts on your micro:bit](/microbit/usb)
* [libraries](/microbit/js/libraries)

### Functions and libraries

* [creating functions](/microbit/js/function)
* [function parameters](/microbit/js/functionparameters)
* [calling functions](/microbit/js/call)
* [libraries](/microbit/js/libraries)

### Images

* [create image](/microbit/reference/images/create-image)
* [clear](/microbit/reference/basic/clear-screen)
* [set pixel](/microbit/reference/images/set-pixel)
* [pixel](/microbit/reference/images/pixel)
* [show image](/microbit/reference/images/show-image)
* [scroll image](/microbit/reference/images/scroll-image)
* [width](/microbit/functions/width)
* [show animation](/microbit/reference/basic/show-animation)

### Pins

* [analog read pin](/microbit/reference/pins/analog-read-pin)
* [analog write pin](/microbit/reference/pins/analog-write-pin)
* [digital read pin](/microbit/reference/pins/digital-read-pin)
* [digital write pin](/microbit/reference/pins/digital-write-pin)

### Accessories

* [forever](/microbit/reference/basic/forever)
* [in background](/microbit/reference/control/in-background)

## Tutorials

* [Blink](/script:hcwxud)
* [Button](/script:rxqgzy)
* [Compass](/script:fhhhwl)
* [Counter](/script:bqrria)
* [Digital pet](/script:lsqwsk)
* [Flashing heart](/script:bniyze)
* [Glowing image](/script:hydyrp)

### ~

