# glowing pendulum lesson

construct a pendulum that glows using acceleration #var #acceleration #abs #brightness #plot #docs

## Topic

Acceleration

## Quick Links

* [activity](/microbit/lessons/glowing-pendulum/activity)
* [challenges](/microbit/lessons/glowing-pendulum/challenges)
* [quiz](/microbit/lessons/glowing-pendulum/quiz)
* [quiz answers](/microbit/lessons/glowing-pendulum/quiz-answers)
* [tutorial](/microbit/lessons/glowing-pendulum/tutorial)

## Class

Year 7

## Prior learning/place of lesson in scheme of work

Learn how to get the acceleration **acceleration**, `input->acceleration` value (g-force), in one of three specified dimensions. We will be learning how to get the acceleration using forever loop, a local variable, acceleration, the math library, as well as simple commands, such as led set brightness and led plot all.

## Documentation

* **forever** : [read more...](/microbit/reference/basic/forever)
* **local variable** : [read more...](/microbit/reference/variables/var)
* **acceleration** : [read more...](/microbit/reference/input/acceleration)
* **absolute value** : [read more...](/microbit/js/math)
* **set brightness** : [read more...](/microbit/reference/led/set-brightness)
* **plot** : [read more...](/microbit/reference/led/set-brightness)

## Objectives

* learn how to repeat code in the background forever
* learn how create a local variable to store data, so that you can use it in your code
* learn how to get the acceleration value (g-force), in one of three specified dimensions
* learn how to return the absolute value
* learn how to sets the brightness of the LED screen
* learn how to turn on all the LED lights on the LED screen

## Progression Pathways / Computational Thinking Framework

#### Algorithms

* Uses diagrams to express solutions.(AB)
*  Uses logical reasoning to predict  outputs, showing an awareness of inputs (AL)
* Represents solutions using a structured notation (AL) (AB)

#### Programming & Development

* Creates programs that implement algorithms to achieve given goals (AL)
*  Declares and assigns variables(AB)
* Uses a variable and relational operators within a loop to govern termination (AL) (GE)
* Selects the appropriate data types(AL) (AB

#### Data & Data Representation

* Understands the difference between data and information(AB)
* Uses filters or can perform single criteria searches for information.(AL)

#### Hardware & Processing

* Knows that computers collect data from various input devices, including sensors and application software (AB)

#### Information Technology

* Collects, organizes, and presents data and information in digital content (AB)
* Makes appropriate improvements to solutions based on feedback received, and can comment on the success of the solution (EV)
* Recognises ethical issues surrounding the application of information technology beyond school.

Computational Thinking Concept: AB = Abstraction; DE = Decomposition; AL = Algorithmic Thinking; EV = Evaluation; GE = Generalisation

## Activity

* time: 20 min.
* [activity](/microbit/lessons/glowing-pendulum/activity)
* [tutorial](/microbit/lessons/glowing-pendulum/tutorial)
* [quiz](/microbit/lessons/glowing-pendulum/quiz)

## Extended Activity

* time: 20 min.
* [challenges](/microbit/lessons/glowing-pendulum/challenges)

## Homework

* Extended Activity: [challenges](/microbit/lessons/glowing-pendulum/challenges)

