# looper lesson

Learn to control blinking LEDs. #LED #screen  #for #docs

### @video vimeo/134453504

## Topic

For loop - Blinking LED

## Quick links

* [tutorial](/microbit/lessons/looper/tutorial)
* [quiz](/microbit/lessons/looper/quiz)
* [quiz answers](/microbit/lessons/looper/quiz-answers)
* [challenges](/microbit/lessons/looper/challenges)

## Class

Year 7

## Prior learning/place of lesson in scheme of work

Learn how to control a blinking LED. We will be learning how to create a blinking app using the for loop as well as simple commands, such as plot and pause.

## What the teacher needs to know

**Program:** A stored set of instructions encoded in a language understood by the computer that does some form of computation, processing input and/or stored data to generate output.**

**Algorithm:** An unambiguous set of rules or a precise step-by-step guide to solve a problem or achieve a particular objective. The guided tutorial follows a algorithm and is a precise step-by-step guide to solve a problem**

**Loop:** A block of code repeated automatically under the program’s control. ** The blink program introduces a While Loop. While Loop is a while loop that will repeat code forever while - true.

**Command:** An instruction for the computer to execute, written in a particular programming language.**

**QuickStart Computing Glossary

## Documentation

* **plot**: [read more...](/microbit/reference/led/plot)
* **pause**: [read more...](/microbit/reference/basic/pause)
* **for**: [read more...](/microbit/reference/loops/for)

## Resources

* Activity: [tutorial](/microbit/lessons/looper/tutorial)
* Activity: [quiz](/microbit/lessons/looper/quiz)
* Extended Activity: [challenges](/microbit/lessons/looper/challenges)

## Objectives

* learn how to blink a light
* create a for loop that will loop through each x-value, y-value from 0 to 4.
* learn how to pause the light on and off
* learn how to repeat turning on and off the light

## Links to the National Curriculum Programmes of Study for Computing

## Progression Pathways / Computational Thinking Framework

#### Algorithms

* Uses logical reasoning to predict outputs, showing an awareness of inputs. (AL)
* Understands that iteration is the repetition of a process such as a loop. (AL)
* Represents solutions using a structured notation. (AL) (AB)

#### Programming & Development

* Creates programs that implement algorithms to achieve given goals. (AL)
* Uses a variable and relational operators within a loop to govern termination. (AL) (GE)
* Uses a range of operators and expressions e.g. Boolean, and applies them in the context of program control. (AL)

#### Data & Data Representation

* Understands the difference between data and information. (AB)
* Defines data types: real numbers and Boolean. (AB)

#### Information Technology

*  Collects, organises and presents data and information in digital content. (AB)
* Makes appropriate improvements to solutions based on feedback received, and can comment on the success of the solution. (EV)

Computational Thinking Concept: AB = Abstraction; DE = Decomposition; AL = Algorithmic Thinking; EV = Evaluation; GE = Generalisation

## Activity

* time: 10 min.
* [tutorial](/microbit/lessons/looper/tutorial)
* [quiz](/microbit/lessons/looper/quiz)
* assessment opportunities: loops, plot, pause, clear screen

## Extended Activity

* time: 20 min.
* [challenges](/microbit/lessons/looper/challenges)
* assessment opportunities: loops, plot, pause, clear screen

## Homework

* Extended Activity: [challenges](/microbit/lessons/looper/challenges)

## Intended follow on

Publish script to the classroom.

