# zoomer lesson

measure the acceleration on the micro:bit in the "z" direction #acceleration #var #docs #if #show #pause

### @video td/videos/zoomer-0

## Topic

Acceleration

## Quick Links

* [activity](/microbit/lessons/zoomer/activity)
* [challenges](/microbit/lessons/zoomer/challenges)
* [quiz](/microbit/lessons/zoomer/quiz)
* [quiz answers](/microbit/lessons/zoomer/quiz-answers)
* [tutorial](/microbit/lessons/zoomer/tutorial)

## Class

Year 7

## Prior learning/place of lesson in scheme of work

Learn how to get the **acceleration**, `input->acceleration` in one of three specified dimensions. We will be learning how to get the acceleration using a forever loop, local variables, input on button pressed, as well as simple commands, such as show number and pause.

## Documentation

* **forever** : [read more...](/microbit/reference/basic/forever)
* **local variable** : [read more...](/microbit/reference/variables/var)
* **acceleration** : [read more...](/microbit/reference/input/acceleration)
* **if** : [read more...](/microbit/reference/logic/if)
* **button is pressed** : [read more...](/microbit/reference/input/button-is-pressed)
* **show number** : [read more...](/microbit/reference/basic/show-number)

## Objectives

* learn how to repeat code in the background forever
* learn how to create a variable to store data
* learn how to get the acceleration value (g-force), in one of three specified dimensions
* learn how to pause your code for the specified number of milliseconds
* learn how to conditionally run code depending on whether a condition is true or not
* learn how to get the state of an input button
* learn how to show a number on the LED screen

## Progression Pathways / Computational Thinking Framework

#### Algorithms

* Designs solutions (algorithms) that use repetition and two-way  selection, ie if, then and else.(AL)
*  Uses logical reasoning to predict  outputs, showing an awareness of inputs (AL)
* Shows an awareness of tasks best completed by humans or computers (EV)
*  Designs solutions  by decomposing a problem and creates a sub-solution for each of these parts. (DE) (AL) (AB)
* Recognises that different algorithms exist for the same problem (AL) (GE)
* Represents solutions using a structured notation (AL) (AB)
*  Can identify similarities and differences in situations and can use these to solve problems (pattern recognition)(GE)

#### Programming & Development

* Creates programs that implement algorithms to achieve given goals (AL)
*  Declares and assigns variables(AB)
* Uses post-tested loop e.g.‘until’,and a sequence of selection statements in programs,including an if,then and else statement(AL)
* Understands the difference between, and appropriately uses if and if, then and else statements(AL)
* Uses a variable and relational operators within a loop to govern termination (AL) (GE)
* Uses a range of operators and expressions e.g. Boolean, and applies them in the context of program control. (AL)
* Selects the appropriate data types(AL) (AB

#### Communication Networks

* Demonstrates responsible use of technologies and online services, and knows a range of ways to report concerns Understands how search engines rank search results (AL)

#### Information Technology

* Collects, organizes, and presents data and information in digital content (AB)
* Makes appropriate improvements to solutions based on feedback received, and can comment on the success of the solution (EV)
* Recognises ethical issues surrounding the application of information technology beyond school.

Computational Thinking Concept: AB = Abstraction; DE = Decomposition; AL = Algorithmic Thinking; EV = Evaluation; GE = Generalisation

## Activity

* time: 20 min.
* [activity](/microbit/lessons/zoomer/activity)
* [tutorial](/microbit/lessons/zoomer/tutorial)
* [quiz](/microbit/lessons/zoomer/quiz)

## Extended Activity

* time: 20 min.
* [challenges](/microbit/lessons/zoomer/challenges)

## Homework

* Extended Activity: [challenges](/microbit/lessons/zoomer/challenges)

